#!/bin/bash

. ../../bin/libtest.sh


echo "--> FINALIZACAO - MAIOR PARA MENOR"
echo

list=`seq $_N_NODES -1 1`

for k in `seq 1 $_N_REP`; do
    echo -ne "\t\t--> Rodando experimento $k <--\n"

    run-finalizacao "$list"

    aux=`printf "%.3d" $k`
    mv log log-$aux
    pushd ..
    ./gera_plot.pl $_GERA_PLOT_OPT -d -f $OLDPWD/log-$aux/logao > $OLDPWD/log-$aux/plot-groups.dat
    ./gera_plot.pl $_GERA_PLOT_OPT -d -n -f $OLDPWD/log-$aux/logao > $OLDPWD/log-$aux/plot-nodes.dat
    popd
done

# gerando resultados finais
mkdir resultados

# calcula as medias
../../bin/gera_media.pl $_N_NODES log-*/plot-groups.dat > resultados/plot-groups.dat
../../bin/gera_media.pl $_N_NODES log-*/plot-nodes.dat > resultados/plot-nodes.dat

# gera os graficos
gera_graph "resultados"