
# the configuration base directory
$CONFIG_DIR="config";

# the nodes configuration file
$NODES_CONF_FILE="${CONFIG_DIR}/nodes";

# the service configuration file
$GMSD_CONF_FILE="${CONFIG_DIR}/gmsd.conf";

# other default file locations
$LOG_FILE="log/gmsd.log";
$GID_FILE="gid/gmsd.gid";
$MEMBERSHIP_FILE="membership/gmsd.membership";

sub make_suffix
{
    local ($node_name, $node_id) = @_;
    local ($suffix);

    $num = sprintf "%3.3d", $id;
    $suffix = "-" . $node_name . "-" . $num;
    
    return $suffix;
}


sub get_nodename
{
    local ($nodename);
    $nodename=`uname -n`;
    $nodename =~ s/\n//;
    return $nodename;
}


1;
